For the complete documentation index, see llms.txt. This page is also available as Markdown.

searchCard

Perform various search operations on card records.

Symitar eDocs References: Coming soon.

Operations

searchCardSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/searchCardSelectFields
POST /nexum/627/2022.01/account/searchCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 339

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "SearchFilter": {
    "Query": "LOCATOR=10"
  },
  "SelectableFields": {
    "IncludeAllCardFields": false,
    "CardFields": {
      "Locator": true,
      "Number": true,
      "Type": true,
      "Status": true,
      "IssueCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardList": {
    "hasReachedMaximumListSize": false,
    "Card": [
      {
        "Locator": 10,
        "Number": "2163491574641470",
        "Type": 10,
        "Status": 1,
        "IssueCode": 0
      }
    ]
  },
  "MessageId": "searchCardSelectFields"
}

searchCardPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardPagedSelectFields
POST /nexum/627/2022.01/account/searchCardPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 401

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "Query": "LOCATOR=10",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardFields": false,
    "CardFields": {
      "Locator": true,
      "Number": true,
      "Type": true,
      "Status": true,
      "IssueCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Card": [
    {
      "Locator": 10,
      "Number": "2163491574641470",
      "Type": 10,
      "Status": 1,
      "IssueCode": 0
    }
  ],
  "Token": null,
  "MessageId": "searchCardPagedSelectFields"
}

searchCardAccessSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/searchCardAccessSelectFields
POST /nexum/627/2022.01/account/searchCardAccessSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 690

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "CardLocator": 1,
  "SelectableFields": {
    "IncludeAllCardAccessFields": true,
    "CardAccessFields": {
      "AccessType": true,
      "AccountNumber": true,
      "EnableDeposit": true,
      "EnableFm": true,
      "EnableInquiry": true,
      "EnableWithdrawal": true,
      "ExtLoanAccount": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "Qualifier": true,
      "RecordChangeDate": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "CardAccessList": {
    "hasReachedMaximumListSize": true,
    "CardAccess": [
      {
        "AccessType": 1,
        "AccountNumber": "text",
        "EnableDeposit": 1,
        "EnableFm": 1,
        "EnableInquiry": 1,
        "EnableWithdrawal": 1,
        "ExtLoanAccount": "text",
        "Id": "text",
        "IdType": 1,
        "Locator": 1,
        "Qualifier": "text",
        "RecordChangeDate": "2026-01-01"
      }
    ]
  }
}

searchCardAccessPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardAccessPagedSelectFields
POST /nexum/627/2022.01/account/searchCardAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 504

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardAccessFields": false,
    "CardAccessFields": {
      "Locator": true,
      "AccessType": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardAccess": [],
  "Token": null,
  "MessageId": "searchCardAccessPagedSelectFields"
}

searchCardNameSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/searchCardNameSelectFields
POST /nexum/627/2022.01/account/searchCardNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 3227

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "CardLocator": 1,
  "SelectableFields": {
    "IncludeAllCardNameFields": true,
    "CardNameFields": {
      "ActiveDuty": true,
      "ActiveDutySeparationDate": true,
      "ActiveDutyStartDate": true,
      "ActiveDutyVerificationDate": true,
      "AddrCreateDate": true,
      "AddrDisconnectDate": true,
      "AddrExpDate": true,
      "AddrFmLastDate": true,
      "AddrFmLastPurgeDate": true,
      "AddrRecordChangeDate": true,
      "AddressType": true,
      "AltEmail": true,
      "BeneficialOwner": true,
      "BeneficialPercent": true,
      "BeneficiaryPercent": true,
      "BirthDate": true,
      "CarrierRoute": true,
      "Chapter4StatusCode": true,
      "City": true,
      "Confidential": true,
      "Country": true,
      "CountryCode": true,
      "CrAddrChgDate": true,
      "CrNameChgDate": true,
      "CrSsnChgDate": true,
      "CreditReportAddrIndicator": true,
      "CreditReportAddrIndicatorDate": true,
      "CreditReportConsumerInfo": true,
      "CreditReportConsumerInfoDate": true,
      "CtrExempt": true,
      "CurrGrossMonthPay": true,
      "CurrMonthPayChgDate": true,
      "CurrNetMonthPay": true,
      "DbaExtendedName": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaNameFormat": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "DbaTitle": true,
      "DeathDate": true,
      "EcoaCode": true,
      "EffectiveDate": true,
      "Email": true,
      "EmployerName": true,
      "ExpirationDate": true,
      "ExtendedName": true,
      "ExtraAddress": true,
      "ExtraInfo": true,
      "First": true,
      "FmLastPurgeDate": true,
      "ForeignTin": true,
      "FormW8OnFile": true,
      "GIin": true,
      "Headquarters": true,
      "HomePhone": true,
      "IdentDocFlag": [
        1
      ],
      "IdentIdDescription": [
        1
      ],
      "IdentIdExpireDate": [
        1
      ],
      "IdentIdIssueDate": [
        1
      ],
      "IdentIdNumber": [
        1
      ],
      "IdentIdType": [
        1
      ],
      "IdentIdVerifyDate": [
        1
      ],
      "Irs1042SAmendNum": true,
      "IrsCorrection": true,
      "IrsCountryCode": true,
      "Last": true,
      "LastAddrChgDate": true,
      "LastAddrVerifDate": true,
      "LastFmDate": true,
      "Lei": true,
      "License": true,
      "Lob": true,
      "Locator": true,
      "LongName": true,
      "MailOverride": true,
      "MarketingAddress": true,
      "MbrActivityDate": true,
      "MbrAddrFileType": true,
      "MbrAddrNumLink": true,
      "MbrAddrNumLinkChgDate": true,
      "MbrAddrNumber": true,
      "MbrCreateDate": true,
      "MbrDisconnectDate": true,
      "MbrExpDate": true,
      "MbrFileType": true,
      "MbrFmLastDate": true,
      "MbrFmLastPurgeDate": true,
      "MbrRecordChangeDate": true,
      "MbrStatus": true,
      "MbrStatusFmDate": true,
      "MemberNumLink": true,
      "MemberNumLinkChgDate": true,
      "MemberNumber": true,
      "Middle": true,
      "MobilePhone": true,
      "MothersMaidenName": true,
      "NameFormat": true,
      "NonAcctNameNum": true,
      "NraExemptionCode": true,
      "NraTaxRate": true,
      "Occupation": true,
      "PagerNumber": true,
      "PhoneType": true,
      "PreferredContact": true,
      "PreferredContactMethod": true,
      "RecordChangeDate": true,
      "Restrict": true,
      "Sex": true,
      "ShortName": true,
      "Ssn": true,
      "SsnCertification": true,
      "SsnOverride": true,
      "SsnType": true,
      "State": true,
      "Street": true,
      "SubType": true,
      "SubstantialOwner": true,
      "Suffix": true,
      "Title": true,
      "Type": true,
      "UsPersonFlag": true,
      "UserAmount1": true,
      "UserAmount2": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserDate1": true,
      "UserDate2": true,
      "W8ExpirationDate": true,
      "WorkPhone": true,
      "WorkPhoneExtension": true,
      "ZipCode": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "CardNameList": {
    "hasReachedMaximumListSize": true,
    "CardName": [
      {
        "ActiveDuty": 1,
        "ActiveDutySeparationDate": "2026-01-01",
        "ActiveDutyStartDate": "2026-01-01",
        "ActiveDutyVerificationDate": "2026-01-01",
        "AddrCreateDate": "2026-01-01",
        "AddrDisconnectDate": "2026-01-01",
        "AddrExpDate": "2026-01-01",
        "AddrFmLastDate": "2026-01-01",
        "AddrFmLastPurgeDate": "2026-01-01",
        "AddrRecordChangeDate": "2026-01-01",
        "AddressType": 1,
        "AltEmail": "text",
        "BeneficiaryPercent": 1,
        "BirthDate": "2026-01-01",
        "CarrierRoute": "text",
        "Chapter4StatusCode": "text",
        "City": "text",
        "Confidential": 1,
        "Country": "text",
        "CountryCode": "text",
        "CrAddrChgDate": "2026-01-01",
        "CrNameChgDate": "2026-01-01",
        "CrSsnChgDate": "2026-01-01",
        "CreditReportAddrIndicator": "text",
        "CreditReportAddrIndicatorDate": "2026-01-01",
        "CreditReportConsumerInfo": "text",
        "CreditReportConsumerInfoDate": "2026-01-01",
        "CtrExempt": 1,
        "CurrGrossMonthPay": 1,
        "CurrMonthPayChgDate": "2026-01-01",
        "CurrNetMonthPay": 1,
        "DbaExtendedName": "text",
        "DbaFirst": "text",
        "DbaLast": "text",
        "DbaLongName": "text",
        "DbaMiddle": "text",
        "DbaNameFormat": 1,
        "DbaShortName": "text",
        "DbaSuffix": "text",
        "DbaTitle": "text",
        "DeathDate": "2026-01-01",
        "EcoaCode": 1,
        "EffectiveDate": "2026-01-01",
        "Email": "text",
        "EmployerName": "text",
        "ExpirationDate": "2026-01-01",
        "ExtendedName": "text",
        "ExtraAddress": "text",
        "ExtraInfo": "text",
        "First": "text",
        "FmLastPurgeDate": "2026-01-01",
        "ForeignTin": "text",
        "FormW8OnFile": 1,
        "GIin": "text",
        "HomePhone": "text",
        "IdentDocFlag": [
          {
            "EntryId": 1,
            "IdentDocFlag": 1
          }
        ],
        "IdentIdDescription": [
          {
            "EntryId": 1,
            "IdentIdDescription": "text"
          }
        ],
        "IdentIdExpireDate": [
          {
            "EntryId": 1,
            "IdentIdExpireDate": "2026-01-01"
          }
        ],
        "IdentIdIssueDate": [
          {
            "EntryId": 1,
            "IdentIdIssueDate": "2026-01-01"
          }
        ],
        "IdentIdNumber": [
          {
            "EntryId": 1,
            "IdentIdNumber": "text"
          }
        ],
        "IdentIdType": [
          {
            "EntryId": 1,
            "IdentIdType": 1
          }
        ],
        "IdentIdVerifyDate": [
          {
            "EntryId": 1,
            "IdentIdVerifyDate": "2026-01-01"
          }
        ],
        "IrsCorrection": 1,
        "IrsCountryCode": "text",
        "Last": "text",
        "LastAddrChgDate": "2026-01-01",
        "LastAddrVerifDate": "2026-01-01",
        "LastFmDate": "2026-01-01",
        "License": "text",
        "Lob": "text",
        "Locator": 1,
        "LongName": "text",
        "MailOverride": 1,
        "MarketingAddress": 1,
        "MbrActivityDate": "2026-01-01",
        "MbrAddrFileType": 1,
        "MbrAddrNumLink": "text",
        "MbrAddrNumLinkChgDate": "2026-01-01",
        "MbrAddrNumber": "text",
        "MbrCreateDate": "2026-01-01",
        "MbrDisconnectDate": "2026-01-01",
        "MbrExpDate": "2026-01-01",
        "MbrFileType": 1,
        "MbrFmLastDate": "2026-01-01",
        "MbrFmLastPurgeDate": "2026-01-01",
        "MbrRecordChangeDate": "2026-01-01",
        "MbrStatus": 1,
        "MbrStatusFmDate": "2026-01-01",
        "MemberNumLink": "text",
        "MemberNumLinkChgDate": "2026-01-01",
        "MemberNumber": "text",
        "Middle": "text",
        "MobilePhone": "text",
        "MothersMaidenName": "text",
        "NameFormat": 1,
        "NonAcctNameNum": "text",
        "NraExemptionCode": "text",
        "NraTaxRate": 1,
        "Occupation": "text",
        "PagerNumber": "text",
        "PhoneType": 1,
        "PreferredContact": "text",
        "PreferredContactMethod": 1,
        "RecordChangeDate": "2026-01-01",
        "Restrict": 1,
        "Sex": "text",
        "ShortName": "text",
        "Ssn": "text",
        "SsnCertification": 1,
        "SsnOverride": 1,
        "SsnType": 1,
        "State": "text",
        "Street": "text",
        "SubType": 1,
        "SubstantialOwner": 1,
        "Suffix": "text",
        "Title": "text",
        "Type": 1,
        "UsPersonFlag": 1,
        "UserAmount1": 1,
        "UserAmount2": 1,
        "UserChar1": "text",
        "UserChar2": "text",
        "UserChar3": "text",
        "UserChar4": "text",
        "UserDate1": "2026-01-01",
        "UserDate2": "2026-01-01",
        "W8ExpirationDate": "2026-01-01",
        "WorkPhone": "text",
        "WorkPhoneExtension": "text",
        "ZipCode": "text",
        "BeneficialOwner": 1,
        "BeneficialPercent": 1,
        "Irs1042SAmendNum": 1,
        "Lei": "text",
        "Headquarters": 1
      }
    ]
  }
}

searchCardNamePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardNamePagedSelectFields
POST /nexum/627/2022.01/account/searchCardNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 437

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=23",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardNameFields": false,
    "CardNameFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardName": [
    {
      "Locator": 23,
      "Type": 2,
      "First": "JOSHUA",
      "Middle": "J",
      "Last": "KINNEY",
      "BirthDate": "1952-12-20"
    }
  ],
  "Token": null,
  "MessageId": "searchCardNamePagedSelectFields"
}

searchCardNoteSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/searchCardNoteSelectFields
POST /nexum/627/2022.01/account/searchCardNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 672

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "CardLocator": 1,
  "SelectableFields": {
    "IncludeAllCardNoteFields": true,
    "CardNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        1
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "CardNoteList": {
    "hasReachedMaximumListSize": true,
    "CardNote": [
      {
        "Code": 1,
        "EnterDate": "2026-01-01",
        "EnterTime": 1,
        "ExpirationDate": "2026-01-01",
        "Id": "text",
        "IdType": 1,
        "Locator": 1,
        "RecordChangeDate": "2026-01-01",
        "Text": [
          {
            "EntryId": 1,
            "Text": "text"
          }
        ],
        "TextLineCount": 1,
        "UserId": 1,
        "VoidFlag": 1,
        "VoidedBy": 1
      }
    ]
  }
}

searchCardNotePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardNotePagedSelectFields
POST /nexum/627/2022.01/account/searchCardNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 484

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=83",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardNoteFields": false,
    "CardNoteFields": {
      "Locator": true,
      "Id": true,
      "IdType": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true,
      "VoidFlag": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardNote": [
    {
      "Locator": 83,
      "Id": null,
      "IdType": 3,
      "Code": 45,
      "EnterDate": "2025-10-10",
      "ExpirationDate": null,
      "RecordChangeDate": "2010-05-08",
      "VoidFlag": 0
    }
  ],
  "Token": null,
  "MessageId": "searchCardNotePagedSelectFields"
}

Last updated

Was this helpful?